// Solucion del ejercicio 2 de la sesion 5

import java.io.*;
import java.util.*;

public class ExtraeNumerosLocale {
	public static void main(String [] args) throws IOException {
		if ((args.length!=3)&&(args.length!=4)) {
			System.err.println("Uso: ExtraeNumerosLocale forigen fdestino locale [locale_destino]");
			return;
		}
		Scanner ent = null;
                PrintWriter sal = null;
		try {
                        Locale loc1 = new Locale(args[2]);
                        Locale loc2;
                        if (args.length==4)
                            loc2 = new Locale(args[3]);
                        else
                            loc2 = loc1;
			ent = new Scanner(new File(args[0]));
                        ent.useLocale(loc1);
                        
                        sal = new PrintWriter(new File(args[1]));
			
			while (ent.hasNext()) {
                            if (ent.hasNextDouble())
                                sal.printf(loc2, "%f\n", ent.nextDouble());
                            else
                                ent.next();
                        }
		}
		finally {
			if (ent != null)
				ent.close();
			if (sal != null)
				sal.close();
                }
	}
}

