
// Solucion del ejercicio 4 de la sesion 5

import java.io.*;
import java.util.*;

public class Notas {

    static private void errorFormato(String f) {
        System.out.println("Error de formato en el fichero " + f);
        System.exit(1);
    }
    static public void main(String [] args) throws IOException {
	if (args.length!=3) {
		System.err.println("Uso: Personal fmaestro fnotas fmaestro_nuevo");
		return;
	}
        Scanner maestro = null;
        Scanner notas = null;
        PrintWriter nmaestro = null;
        try {
            maestro = new Scanner(new File(args[0]));
            notas = new Scanner(new File(args[1]));
            nmaestro = new PrintWriter(args[2]);
            int matNotas = -1;
            double nota = 0;
            boolean masNotas = true;
            while (maestro.hasNextLine()) {
                Scanner linMaestro = new Scanner(maestro.nextLine());

                if (!linMaestro.hasNextInt()) errorFormato(args[0]);
                int matMaestro = linMaestro.nextInt();
                if (!linMaestro.hasNextInt()) errorFormato(args[0]);
                int dni = linMaestro.nextInt();
                if (!linMaestro.hasNextDouble()) errorFormato(args[0]);
                double notaMaestro = linMaestro.nextDouble();
                while (masNotas && (matNotas <= matMaestro)) {
                    notaMaestro += nota;
                    if (masNotas = notas.hasNextLine()) {
                        Scanner linNotas = new Scanner(notas.nextLine());
                        if (!linNotas.hasNextInt()) errorFormato(args[1]);
                        matNotas = linNotas.nextInt();
                        if (!linNotas.hasNextDouble()) errorFormato(args[1]);
                        nota = linNotas.nextDouble();
                    }
                }
                nmaestro.printf("%d %d %f%n", matMaestro, dni, notaMaestro);
            }
        }
        finally {
            if (maestro != null)
                maestro.close();
            if (notas != null)
                notas.close();
            if (nmaestro != null)
                nmaestro.close();
        }
    }
}
